Remitter Registration Verify

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Headers Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code - 1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Outlet-IdStringMerchant unique IDMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Request Parameters


ParametersTypeDescription
mobileNumberStringRemitter Mobile Number
otpStringOTP received on Mobile Number
referenceKeyStringreferenceKey received in Remitter Profile response

Sample Request

POST /fi/remit/out/domestic/v2/remitterProfile HTTP/1.1
Host: api.instantpay.in
X-Ipay-Endpoint-Ip: 14.142.186.142
X-Ipay-Client-Id: {{clinetId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Auth-Code: 1
Content-Type: application/json
Content-Length: 39

{
"mobileNumber":"9876543210",
"isNEFT" : "YES",
"iftEnable" :"YES"

   
}
POST /fi/remit/out/domestic/v2/remitterRegistrationVerify HTTP/1.1
Host: api.instantpay.in
X-Ipay-Endpoint-Ip: 14.142.186.142
X-Ipay-Hash-Check: OFF
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Auth-Code: 1
User-Agent: {USERAGENT}
Content-Type: application/json
Content-Length: 83

{
    "mobileNumber":"9876543210",
    "otp" : 472862,
    "referenceKey": "null"
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus Message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "referenceID": "5a446e70514f41575a74654a6e49474d634f7057702b747a686c65562f637a54765872666b487437757071306a34364542.v2.ufheuw98484fhhf82enf54a6e49474d634f"
    },
    "timestamp": "2024-05-31 11:05:03",
    "ipay_uuid": "h0009c2c2266-9e58-461d-bb88-25a36363d0f3-s27798VjPK8V",
    "orderid": null,
    "environment": "LIVE"
}
Headers
string
Defaults to 1

Auth-Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

Merchant unique ID

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json